SimpleHMMTrainer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.SimpleHMMTrainer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class SimpleHMMTrainer

    java.lang.Object
      org.biojava.bio.dp.SimpleHMMTrainer

All Implemented Interfaces:
  HMMTrainer

    public class SimpleHMMTrainer

extends Object
implements HMMTrainer

Constructor Summary
`SimpleHMMTrainer(MarkovModel model)`

Method Summary
`void` | `completeCycle()` indicate that a cycle of training is completed and the emission/transition matrices should be updated.
`void` | `recordEmittedSymbol(State state, Symbol symbol, double weight)` record that the specified symbol was emitted from the specified state.
`void` | `recordTransition(State source, State dest, double weight)` record that a transition was observed between the specified states.
`void` | `startCycle()` called to put the trainer into an initial state for a new round of training.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleHMMTrainer

    public SimpleHMMTrainer(MarkovModel model)
                     throws IllegalSymbolException

Throws:
  `IllegalSymbolException`

Method Detail

### startCycle

    public void startCycle()

  Description copied from interface: `HMMTrainer`
  called to put the trainer into an initial state for a new round of training.

  Specified by:
    `startCycle` in interface `HMMTrainer`

### recordEmittedSymbol

    public void recordEmittedSymbol(State state,
                                    Symbol symbol,
                                    double weight)
                             throws IllegalSymbolException

  Description copied from interface: `HMMTrainer`
  record that the specified symbol was emitted from the specified state.

  Specified by:
    `recordEmittedSymbol` in interface `HMMTrainer`
  Throws:
    `IllegalSymbolException`

### recordTransition

    public void recordTransition(State source,
                                 State dest,
                                 double weight)
                          throws IllegalArgumentException

  Description copied from interface: `HMMTrainer`
  record that a transition was observed between the specified states.

  Specified by:
    `recordTransition` in interface `HMMTrainer`
  Throws:
    `IllegalArgumentException`

### completeCycle

    public void completeCycle()
                       throws BioException

  Description copied from interface: `HMMTrainer`
  indicate that a cycle of training is completed and the emission/transition matrices should be updated.

  Specified by:
    `completeCycle` in interface `HMMTrainer`
  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD